Loading...
Searching...
No Matches
N_gradient_neighbours_3d Struct Reference

Gradient between the cell neighbours in X, Y and Z direction. More...

`#include <N_pde.h>`

Collaboration diagram for N_gradient_neighbours_3d:
[legend]

## Data Fields

N_gradient_neighbours_x * | xt
N_gradient_neighbours_x * | xc
N_gradient_neighbours_x * | xb
N_gradient_neighbours_y * | yt
N_gradient_neighbours_y * | yc
N_gradient_neighbours_y * | yb
N_gradient_neighbours_z * | zt
N_gradient_neighbours_z * | zb

## Detailed Description

Gradient between the cell neighbours in X, Y and Z direction.

Definition at line 543 of file N_pde.h.

## Field Documentation

## xb

N_gradient_neighbours_x* N_gradient_neighbours_3d::xb

Definition at line 547 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## xc

N_gradient_neighbours_x* N_gradient_neighbours_3d::xc

Definition at line 546 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## xt

N_gradient_neighbours_x* N_gradient_neighbours_3d::xt

Definition at line 545 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## yb

N_gradient_neighbours_y* N_gradient_neighbours_3d::yb

Definition at line 551 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## yc

N_gradient_neighbours_y* N_gradient_neighbours_3d::yc

Definition at line 550 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## yt

N_gradient_neighbours_y* N_gradient_neighbours_3d::yt

Definition at line 549 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## zb

N_gradient_neighbours_z* N_gradient_neighbours_3d::zb

Definition at line 554 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

## zt

N_gradient_neighbours_z* N_gradient_neighbours_3d::zt

Definition at line 553 of file N_pde.h.

Referenced by N_alloc_gradient_neighbours_3d(), N_copy_gradient_neighbours_3d(), N_create_gradient_neighbours_3d(), and N_free_gradient_neighbours_3d().

The documentation for this struct was generated from the following file:

- N_pde.h